[SKL] noise in unity dash, torcs

Bug #1471213 reported by Timo Aaltonen on 2015-07-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mesa (Ubuntu)
High
Unassigned
Vivid
High
Timo Aaltonen
mesa-lts-vivid (Ubuntu)
Undecided
Unassigned
Trusty
High
Unassigned

Bug Description

[Impact]
Intel Skylake GPU's suffers from noise seen in transparent unity dialogs, also visible in torcs for instance

Need to backport four patches from 10.6.0:

commit c02c4b567ce001f6605c46e71e089692b837bf26
Author: Neil Roberts <email address hidden>
Date: Wed Mar 4 14:13:40 2015 +0000

    i965: Store the GPU revision number in brw_context

commit bc4b18d2977a94a6fb513bf5955236a0e92298ca
Author: Neil Roberts <email address hidden>
Date: Thu Mar 19 18:18:49 2015 +0000

    i965: Refactor SIMD16-to-2xSIMD8 checks.

commit 484f9f4fcd53fcaa768e63934a5f74346bfb46a9
Author: Dave Airlie <email address hidden>
Date: Mon Mar 23 09:54:52 2015 +1000

    i965: define I915_PARAM_REVISION

commit 706b916960c898cfc24110f14fa4def84caaba93
Author: Kenneth Graunke <email address hidden>
Date: Wed Mar 4 12:53:45 2015 -0800

    i965/skl: Break down SIMD16 3-source instructions when required.

[Test case]
Run something like Torcs on Skylake.

[Regression potential]
Slim, this only affects i965 driver for Intel, and the actual fix (706b916960c89) only affects gen9.

Timo Aaltonen (tjaalton) on 2015-07-03
no longer affects: mesa-lts-vivid (Ubuntu Vivid)
no longer affects: mesa (Ubuntu Trusty)
Changed in mesa-lts-vivid (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu Vivid):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 10.5.9-2ubuntu1

---------------
mesa (10.5.9-2ubuntu1) wily; urgency=medium

  * Merge from Debian unstable.

 -- Timo Aaltonen <email address hidden> Fri, 10 Jul 2015 14:02:38 +0300

Changed in mesa (Ubuntu):
status: New → Fix Released

Thanks for uploading the fix for this bug report to -proposed. However, when reviewing the package in -proposed and the details of this bug report I noticed that the bug description is missing information required for the SRU process. You can find full details at http://wiki.ubuntu.com/StableReleaseUpdates#Procedure but essentially this bug is missing some of the following: a statement of impact, a test case and details regarding the regression potential. Thanks in advance!

Timo Aaltonen (tjaalton) on 2015-07-21
description: updated

Hello Timo, or anyone else affected,

Accepted mesa-lts-vivid into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa-lts-vivid/10.5.9-2ubuntu1~trusty1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa-lts-vivid (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/10.5.9-2ubuntu1~vivid1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu Vivid):
status: New → Fix Committed
Robert Hooker (sarvatt) on 2015-07-30
tags: added: verification-done
removed: verification-needed
Adam Conrad (adconrad) wrote :

I'm incorrectly abusing the "verification-failed" tag on this for now, as I don't think this has had enough testing for us to promote it next week and land it only days before the 14.04.3 final ISOs are released. After 14.04.3, people who've done sufficient testing and feel this is ready can feel free to revert the tag.

tags: added: verification-failed
removed: verification-done
Timo Jyrinki (timo-jyrinki) wrote :

FWIW Intel Broadwell on Dell XPS 13 2015 Dev Ed seems solid with the update, 25h+ varied usage so far - suspending, browsing, OpenGL, WebGL, videos.

Adam Conrad (adconrad) on 2015-08-06
tags: added: verification-needed
removed: verification-failed
Robert Hooker (sarvatt) wrote :

No problems with this on SKL-Y and Ivybridge after 2 weeks of usage.

tags: added: verification-done
removed: verification-needed
Timo Jyrinki (timo-jyrinki) wrote :

Broadwell has continued to work well, and I've now been using it also on a Haswell desktop PC without issues, some game playing etc included.

Timo Aaltonen (tjaalton) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/10.5.9-2ubuntu1~vivid2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Timo Aaltonen (tjaalton) wrote :

Hello Timo, or anyone else affected,

Accepted mesa-lts-vivid into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa-lts-vivid/10.5.9-2ubuntu1~trusty2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mesa (Ubuntu):
importance: Undecided → High
Changed in mesa (Ubuntu Vivid):
importance: Undecided → High
Changed in mesa-lts-vivid (Ubuntu Trusty):
importance: Undecided → High
Timo Jyrinki (timo-jyrinki) wrote :

I've been retesting the newer version now on Haswell + Broadwell without seeing any issues.

Boaz Dodin (bdcomp) wrote :

verification-done as per comment #11

Please copy this package from the -proposed to updates repository.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa-lts-vivid - 10.5.9-2ubuntu1~trusty2

---------------
mesa-lts-vivid (10.5.9-2ubuntu1~trusty2) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

mesa-lts-vivid (10.5.9-2ubuntu1~trusty1) trusty; urgency=medium

  * Backport vivid package for lts-vivid stack.

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <email address hidden> Wed, 19 Aug 2015 21:37:31 +0300

Changed in mesa-lts-vivid (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mesa-lts-vivid has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 10.5.9-2ubuntu1~vivid2

---------------
mesa (10.5.9-2ubuntu1~vivid2) vivid; urgency=medium

  * skl-dont-use-the-pma-depth-stall-workaround.diff: Fix GPU hangs in
    certain cases. (LP: #1486522)

mesa (10.5.9-2ubuntu1~vivid1) vivid; urgency=medium

  * Backport to vivid. (LP: #1471213)

 -- Timo Aaltonen <email address hidden> Wed, 19 Aug 2015 21:32:42 +0300

Changed in mesa (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers